%global _empty_manifest_terminate_build 0
Name:           python-cachetools
Version:        5.2.0
Release:        2
Summary:        Extensible memoizing collections and decorators
License:        MIT
URL:            https://github.com/tkem/cachetools/
Source0:        https://github.com/tkem/cachetools/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch
%description
This module provides various memoizing collections and decorators,
including variants of the Python Standard Library's `@lru_cache`_
function decorator.

%package -n python3-cachetools
Summary:        Extensible memoizing collections and decorators
Provides:       python-cachetools
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-cachetools
This module provides various memoizing collections and decorators,
including variants of the Python Standard Library's `@lru_cache`_
function decorator.

%package help
Summary:        Extensible memoizing collections and decorators
Provides:       python3-cachetools-doc
%description help
This module provides various memoizing collections and decorators,
including variants of the Python Standard Library's `@lru_cache`_
function decorator.

%prep
%autosetup -n cachetools-%{version}

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-cachetools -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Nov 9 2022 caodongxia <caodongxia@h-partners.com> - 5.2.0-2
- Modify invalid source0

* Mon Oct 17 2022 Ge Wang <wangge20@h-partners.com> - 5.2.0-1
- Upgrade to version 5.2.0

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 4.2.1-1
- Upgrade to version 4.2.1

* Fri Oct 09 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
